import { type DomainEvent } from '@modules/shared';

export class LeadCreatedEvent implements DomainEvent {
  readonly eventName = 'lead.created';
  readonly occurredAt = new Date();

  constructor(
    public readonly aggregateId: string,
    public readonly agentId: string,
  ) {}
}
